PARTX(8)

NAZWA
partx - informuje jądro o obecności i numeracji partycji na dysku

SKŁADNIA

partx [-a|-d|-P|-r|-s|-u] [-t typ] [-n M:_N_] [-] dysk

partx [-a|-d|-P|-r|-s|-u] [-t typ] partycja [dysk]

OPIS

Po podaniu urządzenia lub obrazu dysku, partx stara się przetworzyć tablicę partycji i wypisać jej zawartość. Może również nakazać jądru dodać lub usunąć partycje ze swojego rejestru.

Argument dysk jest opcjonalny, gdy podano argument partycja. Aby wymusić sprawdzenie partycji tak, jak gdyby była całym dyskiem (np. aby wypisać zagnieżdżone podpartycje) proszę użyć argumentu "-" (łącznik-minus). Na przykład:

    partx --show - /dev/sda3

Zinterpretuje sda3 jako cały dysk, zamiast partycję.

partx nie jest programem fdisk - dodawanie i usuwanie partycji nie modyfikuje dysku, lecz jedynie informuje jądro o obecności i numeracji partycji na dysku.

OPCJE

-a, --add
    Dodaje podane partycji lub odczytuje dysk i dodaje wszystkie partycje.

-b, --bytes
    Wypisuje rozmiary w bajtach, zamiast w formacie czytelnym dla ludzi.

    Domyślnie jednostką w której pokazywane są rozmiary jest bajt, a przedrostki jednostek są wielokrotnościami 2^10 (1024). Symbole jednostek są pokazywane w skróconej formie, aby poprawić czytelność, poprzez pokazanie jedynie pierwszej litery np. "1 KiB" i "1 MiB" stają się odpowiednio: "1 K" i "1 M", tj. cząstka "iB", będąca częścią nazw jednostek, jest celowo pomijana.

-d, --delete
    Usuwa podane partycje lub wszystkie partycje. Nie jest błędem usuwanie nieistniejących partycji, dlatego opcję tę można łączyć z dużymi zakresami --nr, bez względu na partycje aktualnie obecne na urządzeniu.

-g, --noheadings
    Nie wypisuje wiersza nagłówka przy opcji --show lub --raw.

-l, --list
    Wypisuje partycje. Wszystkie liczby są podane jako 512-bajtowe sektory. Ten format wyjściowy jest PRZESTARZAŁY na rzecz --show. Proszę go nie używać w nowych skryptach.

-n, --nr M:N
    Określa zakres partycji. Ze względu na kompatybilność wsteczną, obsługiwany jest też format M-N. Zakres może zawierać liczby ujemne, np. --nr -1:-1 oznacza ostatnią partycję, a --nr -2:-1 oznacza dwie ostatnie partycje. Obsługiwane sposoby podawania zakresu to:

    M
        Określa tylko jedną partycję (np. --nr 3).

    M:
        Określa jedynie dolny limit (np. --nr 2:).

    :N
        Określa jedynie górny limit (np. --nr :4).

    M:N
        Określa dolny i górny limit (np. --nr 2:4).

-o, --output lista
    Definiuje kolumny wyjściowe do wyjścia typu --show, --pairs i --raw. Jeśli nie podano ustawienia kolumn, używany jest zestaw domyślny. Opcja --help wypiszę listę wszystkich obsługiwanych kolumn. Opcji nie można łączyć z opcjami --add, --delete, --update lub --list.

--output-all
    Wypisuje wszystkie dostępne kolumny.

-P, --pairs
    Wypisuje partycje w formacie KLUCZ="wartość".

-r, --raw
    Wypisuje partycje w surowym formacie wyjściowym.

-s, --show
    Wypisuje partycje. Kolumny wyjściowe można wybrać, i ustawić ich kolejność, opcją --output. Wszystkie liczby (poza SIZE - rozmiarem) są podane w 512-bajtowych sektorach.

-t, --type typ
    Określa typ tablicy partycji.

--list-types
    Wypisuje obsługiwane typy partycji i wychodzi.

-u, --update
    Aktualizuje podane partycje.

-S, --sector-size rozmiar
    Nadpisuje domyślny rozmiar sektora.

-v, --verbose
    Tryb szczegółowy.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ŚRODOWISKO

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid.

PRZYKŁAD

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    Wszystkie trzy polecenia wypisują partycję 3 dysku /dev/sdb.

partx --show - /dev/sdb3
    Wypisuje wszystkie podpartycje na /dev/sdb3 (urządzenie jest używane jako cały dysk).

partx -o START -g --nr 5 /dev/sdb
    Wypisuje początkowy sektor partycji 5 na /dev/sdb, bez nagłówka.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Wypisuje długość w sektorach oraz odczytywalny dla człowieka rozmiar partycji 5 na /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Dodaje wszystkie dostępne partycje od 3 do 5 (włącznie) na /dev/sdd.

partx -d --nr -1: /dev/sdd
    Usuwa ostatnią partycję na /dev/sdd.

AUTORZY

Pierwotną wersję napisał

ZOBACZ TAKŻE

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie partx jest częścią pakietu util-linux, który można pobrać ze strony